#!/opt/alt/python37/bin/python3 -bb
# coding=utf-8
#
# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENCE.TXT
#
from __future__ import absolute_import
import sys

from lve_utils.sentry import init_lve_utils_sentry_client
from clwizard.wizard import CloudlinuxWizard

from clcommon.cpapi import Feature, is_panel_feature_supported
from clcommon.lib.cledition import is_cl_solo_edition, print_skip_message_on_solo


def main(argv):
    """
    Main run function
    """
    if is_cl_solo_edition(skip_jwt_check=True):
        return print_skip_message_on_solo()

    if not is_panel_feature_supported(Feature.WIZARD):
        print('Feature is not supported in current environment')
        return

    init_lve_utils_sentry_client('wizard')
    clw = CloudlinuxWizard()
    return clw.run(argv)


if __name__ == "__main__":
    sys.exit(main(sys.argv[1:]))
